net.sourceforge.pmd.typeresolution.testdata

## Class Promotion

- java.lang.Object
- - net.sourceforge.pmd.typeresolution.testdata.Promotion

    public class Promotion
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Promotion()`

### Method Summary

Methods
`void` `binaryNumericPromotion()`
`void` `binaryStringPromotion()`
`void` `unaryNumericPromotion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Promotion

    public Promotion()

### Method Detail

#### unaryNumericPromotion

    public void unaryNumericPromotion()

#### binaryNumericPromotion

    public void binaryNumericPromotion()

#### binaryStringPromotion

    public void binaryStringPromotion()